

Patch from Jens Axboe <axboe@suse.de>

This accounts for the silly stalls with cfq.



 drivers/block/cfq-iosched.c |    1 +
 1 files changed, 1 insertion(+)

diff -puN drivers/block/cfq-iosched.c~cfq-fix drivers/block/cfq-iosched.c
--- 25/drivers/block/cfq-iosched.c~cfq-fix	2003-03-19 01:45:27.000000000 -0800
+++ 25-akpm/drivers/block/cfq-iosched.c	2003-03-19 01:45:27.000000000 -0800
@@ -151,6 +151,7 @@ static struct request *cfq_find_rq_hash(
 static inline void cfq_del_crq_rb(struct cfq_queue *cfqq, struct cfq_rq *crq)
 {
 	if (ON_RB(crq)) {
+		cfqq->queued[rq_data_dir(crq->request)]--;
 		rb_erase(&crq->rb_node, &cfqq->sort_list);
 		crq->cfq_queue = NULL;
 	}

_
